commit:     e2328dc53d725401a05043e3bfb381f3f75f8beb
Author:     William Hubbs <williamh <AT> gentoo <DOT> org>
AuthorDate: Thu Apr 13 14:56:52 2023 +0000
Commit:     William Hubbs <williamh <AT> gentoo <DOT> org>
CommitDate: Thu Apr 13 15:02:30 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=e2328dc5

app-misc/spire: add 1.6.2

Signed-off-by: William Hubbs <williamh <AT> gentoo.org>

 app-misc/spire/Manifest           |  2 ++
 app-misc/spire/spire-1.6.2.ebuild | 51 +++++++++++++++++++++++++++++++++++++++
 2 files changed, 53 insertions(+)

diff --git a/app-misc/spire/Manifest b/app-misc/spire/Manifest
index 68af5feb751e..6a7ea13f120e 100644
--- a/app-misc/spire/Manifest
+++ b/app-misc/spire/Manifest
@@ -1,2 +1,4 @@
 DIST spire-1.3.3-deps.tar.xz 248328956 BLAKE2B 
3d07927bad4490c6c87af97cd1c70350c3534993bd907a42b8bd06e31b446f930939e7530d76f771961c07d67f513f2d4f43b1608226701feb21ae18508663e1
 SHA512 
2d32b2705013f3148a0c26aa77bdf2234233c060b449bcbd73df417e7a9aef254a3fc066cf95b21a03f41cbcf918f23c5d56ad1c83859e8a1360c5a2208bb470
 DIST spire-1.3.3.tar.gz 2426257 BLAKE2B 
743a497f37edacd11e21dbd2f89b565b7133d3a098cca9c6fbc0ffd3019b00ac0adac90c68d487fd20aee599a4030aeb03496bb78cd01a5c162cad5087cd8646
 SHA512 
9417aa53725a893b8b3da59fe8ae15bcbdb650a05dd94065b3ad5d6621a2d2225ef211ed67397094d1b61465d34c1731e4c0d88edd93f6db5ce11f76fad342d6
+DIST spire-1.6.2-deps.tar.xz 388681232 BLAKE2B 
1f9cc5c760a8be0efd5b08b0a4b0f00ae586a810384add639f9b7811d8ac0b96949a7c33ef3766a6e7ffe157fd15a9c4fb6b7345787b10acc401ebe6f0c6827a
 SHA512 
4438d8fa9161f8bc0536ba07973a81a609b00adf73238ea1d8a5c75641ed8038f54119b6b11dfdde5d6a6d50e2bcf99bda4caa6fba1b798acf2af6579a835b34
+DIST spire-1.6.2.tar.gz 2490633 BLAKE2B 
8c78b396e8e96266bcc0740e5e63f0f88c49d0513033c10e72c9e7248ce2a929ad7503c93516a290c7acc3f1cdd73685b0295a29d4a7c76498d2542738ce77d9
 SHA512 
be04beb730fb2ada0637f60b4b9a4f7372ec2052776c9f04cd8019e38f8c3d043e0b080bee0474257b1474ddfca51e4640d288e97e12540fefd8a81a3832498c

diff --git a/app-misc/spire/spire-1.6.2.ebuild 
b/app-misc/spire/spire-1.6.2.ebuild
new file mode 100644
index 000000000000..e82729b8ab3a
--- /dev/null
+++ b/app-misc/spire/spire-1.6.2.ebuild
@@ -0,0 +1,51 @@
+# Copyright 2019-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+inherit go-module
+
+DESCRIPTION="the spiffe runtime environment"
+HOMEPAGE="https://github.com/spiffe/spire";
+SRC_URI="https://github.com/spiffe/spire/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI+=" https://dev.gentoo.org/~williamh/dist/${P}-deps.tar.xz";
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64"
+
+COMMON_DEPEND="acct-group/spire
+       acct-user/spire"
+DEPEND="${COMMON_DEPEND}"
+RDEPEND="${COMMON_DEPEND}"
+
+src_prepare() {
+       default
+       sed -i -e 's/build:.*tidy/build:/' Makefile
+}
+
+src_compile() {
+       emake build
+}
+
+src_test() {
+       go test ./... || die "tests failed"
+}
+
+src_install() {
+       exeinto /opt/spire
+       doexe bin/*
+       keepdir /opt/spire/.data
+       insinto /etc/spire
+       doins -r conf/*
+       dosym ../../etc/spire /opt/spire/conf
+       dosym ../../opt/spire/spire-agent /usr/bin/spire-agent
+       dosym ../../opt/spire/spire-server /usr/bin/spire-server
+dodoc -r doc/*
+       newconfd "${FILESDIR}"/spire-agent.confd spire-agent
+       newinitd "${FILESDIR}"/spire-agent.initd spire-agent
+       newconfd "${FILESDIR}"/spire-server.confd spire-server
+       newinitd "${FILESDIR}"/spire-server.initd spire-server
+       keepdir /var/log/spire
+       fowners spire:spire /opt/spire/.data
+       fowners spire:spire /var/log/spire
+}

Reply via email to